Subject: bug#18196: 24.4.50; crash when setting face background in terminal frame

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Aug 2014 12:19:26 +0300

> Date: Fri, 08 Aug 2014 10:43:05 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], "[email-masked]" <[email-masked]>, 
>  Mat Smiglarski <[email-masked]>
> 
> OK.  This was part one of our endeavour.  We now have to discuss with
> Eli on how to proceed.  The current patch has three advantages:
> 
> (1) It doesn't violate the uniform interface where all calls to
>      change_frame_size and adjust_frame_size use the window's text sizes
>      as arguments.
> 
> (2) It doesn't require any change in window.c.
> 
> (3) It has been tested.
> 
> It has the following disadvantages:
> 
> (1) Code changes in term.c and w32console.c from FRAME_LINES to
>      FRAME_TOTAL_LINES.
> 
> (2) change_frame_size and adjust_frame_size must be explicitly called
>      with FRAME_MENU_BAR_LINES subtracted after calling get_tty_size.

I don't mind these disadvantages, if what you describe is all of
them.  (I don't know enough about the code involved to have my own
opinion on the disadvantages.)

So, unless you prefer the other alternatives, I have no objections to
your going ahead with this one.

Thanks.